<template>
    <!-- #################  S-MU-06 ##################33 -->
    <div class="frame-content">
        <a href="" @click.prevent="$emit('remove')">
            <i class=" ti-trash trash-content"></i>
        </a>
        <span class="float-option-detail">
			<b>{{ index +1 }} de {{ length }} páginas</b>
        </span>
		<span class="float-option-detail hidden-sm-down">{{ config.id }}</span>
        <div class="float-option-image"><img class="" :src="config.portrait"></div>
        <!-- </div> -->
        <form class="form-material ">
            <div class="form-group row">

                <div class="col-sm-12 mt-2">
                    <textarea class="form-control  " id="exampleTextarea" placeholder="Descripción del contenedor" rows="4" v-model="value.body"></textarea>
                </div>
                <div class="col-sm-8">
                    <input type="name" class="form-control " id="input" placeholder="Autor" v-model="value.author">
                </div>

				<div class="col-sm-12 mt-2">
                    <a class="note-content-icon" data-toggle="collapse" :href="`#${config.props.id}-${index}`" aria-expanded="false" :aria-controls="`${config.props.id}-${index}`">
                        <div class="note-content">
                            <h2>
                                <i class="ti-arrow-circle-down"></i> Mis apuntes
                            </h2>
                        </div>
                    </a>
                    <div class="collapse" :id="`${config.props.id}-${index}`">
                        <textarea class="form-control form-control" placeholder="Tus apuntes: Guiones, Audios, explicaciones de diseño etc." rows="5" v-model="value.notes"></textarea>
                    </div>
                </div>
            </div>
        </form>
    </div>
</template>

<script>
import { config } from './config'
export default {
    name: config.component,
	props: {
		...config.props,
		length: {
			type: Number,
		},
		index: {
			type: Number,
		},

	},
	data(){
		return {
			config
		}
	}
}
</script>